import { c as defineEventHandler, r as readBody } from '../../_/nitro.mjs';
import { s as setActiveScripts } from '../../_/package.mjs';
import 'node:http';
import 'node:https';
import 'node:events';
import 'node:buffer';
import 'node:fs';
import 'node:path';
import 'node:crypto';
import 'node:url';

const activeScript_post = defineEventHandler(async (event) => {
  const body = await readBody(event);
  setActiveScripts(body.scripts);
  return;
});

export { activeScript_post as default };
